Bug 10761 - Typo in man 5 smb.conf
Typo in man 5 smb.conf
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Documentation
4.1.11
All All
: P5 trivial
: ---
Assigned To: Karolin Seeger
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-06 13:23 UTC by filipp
Modified: 2014-09-03 07:15 UTC (History)
1 user (show)

See Also:


Attachments
[PATCH] Fix typos in smb.conf (inherit acls) (1.21 KB, patch)
2014-08-06 18:30 UTC, Marc Muehlfeld
no flags Details
[PATCH] Fix typos in smb.conf (inherit acls) (1.20 KB, patch)
2014-08-06 19:39 UTC, Marc Muehlfeld
no flags Details
Patch for v4.1-test (1.50 KB, patch)
2014-08-07 20:15 UTC, Marc Muehlfeld
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description filipp 2014-08-06 13:23:13 UTC
The last line (before the Default: line) under the "inherit owner (S)" section reads
"profile directory are actually owner by the user."
it should say:
"profile directory are actually owned by the user."
Comment 1 Marc Muehlfeld 2014-08-06 18:30:18 UTC
Created attachment 10180 [details]
[PATCH] Fix typos in smb.conf (inherit acls)
Comment 2 Marc Muehlfeld 2014-08-06 19:39:52 UTC
Created attachment 10181 [details]
[PATCH] Fix typos in smb.conf (inherit acls)
Comment 3 David Disseldorp 2014-08-06 20:42:14 UTC
Marc, as this bug is against the Samba 4.1 release, I suggest you go through the maintenance branch merge process - it should be a good learning experience :)

- Wait for the master patch to hit the upstream repository.
- Ensure the patch applies cleanly to the v4-1-test branch
  - use 'git cherry-pick -x <master_commit_id>' so that we get the reviewed-by and SHA tags for the upstream commit.
  - for a code change, the backport should be reviewed and tested as appropriate.
- generate a patch out of the new v4-1-test based patch.
- attach the patch to this bug, clearly marking that it's for the 4.1 branch.
- reassign the bug to Karolin (ks@sernet.de), our friendly release manager.
Comment 4 Marc Muehlfeld 2014-08-07 20:15:14 UTC
Created attachment 10185 [details]
Patch for v4.1-test
Comment 5 Marc Muehlfeld 2014-08-07 20:33:40 UTC
Karolin, find attached the patch for v4.1-test.

I guess you don't need the patch twice, if this one applies also to v4.0-test, right?


@David: Thanks for the introduction.
Comment 6 Karolin Seeger 2014-08-28 07:26:36 UTC
(In reply to comment #5)
> Karolin, find attached the patch for v4.1-test.
> 
> I guess you don't need the patch twice, if this one applies also to v4.0-test,
> right?

Thanks a lot! No, I don't need it twice. :-)
Comment 7 Karolin Seeger 2014-09-01 19:24:55 UTC
Pushed to autobuild-v4-[0|1]-test.
Comment 8 Karolin Seeger 2014-09-03 07:15:07 UTC
Pushed to both branches.
Closing out bug report.

Thanks!